﻿Type=Activity
Version=2.02
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim txtMama, txtPapa As String
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim btnFindMama As Button
	Dim btnFindPapa As Button
	Dim btnSaveSettings As Button
	Dim txtMamaPhone As EditText
	Dim txtPapaPhone As EditText
	
		Dim phonenumber As String
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	Activity.LoadLayout("settings")
	
	If File.Exists(File.DirRootExternal, "PapaTaxiIni.txt") Then
		ReadSettings
		txtMamaPhone.Text=txtMama
		txtPapaPhone.Text=txtPapa
	End If
		
		
End Sub

Sub Activity_Resume
	If File.Exists(File.DirRootExternal, "PapaTaxiIni.txt") Then
		ReadSettings
		txtMamaPhone.Text=txtMama
		txtPapaPhone.Text=txtPapa
	End If
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnSaveSettings_Click
	Dim Map1 As Map
	Map1.Initialize
	
    Map1.Put("mama",txtMama)
	Map1.Put("papa",txtPapa)
	File.WriteMap(File.DirRootExternal, "PapaTaxiIni.txt",Map1)
	
	Activity.Finish 
	StartActivity(Main)
End Sub
Sub btnFindPapa_Click
	FindContact
	txtPapaPhone.Text=phonenumber
	txtPapa=phonenumber
End Sub
Sub btnFindMama_Click
	FindContact
	txtMamaPhone.Text=phonenumber
	txtMama=phonenumber
End Sub

Sub txtPapaPhone_EnterPressed
	txtPapa=txtPapaPhone.Text
End Sub

Sub txtMamaPhone_EnterPressed
	txtMama=txtMamaPhone.Text
End Sub

Sub ReadSettings
    Dim Map1 As Map
	Map1.Initialize
    Map1 = File.ReadMap2(File.DirRootExternal, "PapaTaxiIni.txt", Map1)
	txtMama=Map1.Get("mama")
	txtPapa=Map1.Get("papa")
	    
End Sub

Sub FindContact
    Dim Contacts2 As Contacts2
    Dim list1 As List
	list1 = Contacts2.GetAll(False,False)
	
    Dim listOfNames As List
    listOfNames.Initialize
   
    For i = 0 To list1.Size - 1
        Dim c As Contact
        c = list1.Get(i)
        If c.DisplayName.IndexOf("@") = -1 Then 
            listOfNames.Add(c.DisplayName)
    	End If
    Next
	
	listOfNames.Sort(True)
		
    Dim res As Int
    res = InputList(listOfNames, "Wählen..", -1)
    If res <> DialogResponse.CANCEL Then
        Dim name As String
        name = listOfNames.Get(res)
        Dim c As Contact

        For i = 0 To list1.Size
            c = list1.Get(i)
            If c.DisplayName = name Then Exit
        Next
				
		Dim m As Map
        m = c.GetPhones
           
        phonenumber = m.GetKeyAt(0)
        
	End If
End Sub


