﻿Type=Activity
Version=2.02
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim GPS1 As GPS
	Dim gpslon, gpslat As String
	Dim gpsflag As Int
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim lblAcc As Label
	Dim lblLat As Label
	Dim lblLon As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	If FirstTime Then
		GPS1.Initialize("GPS")
	End If
	Activity.LoadLayout("gps")
	gpslon=0
	gpslat=0
	gpsflag=0
End Sub

Sub Activity_Resume
	If GPS1.GPSEnabled = False Then
		ToastMessageShow("Bitte GPS einschalten.", True)
		StartActivity(GPS1.LocationSettingsIntent) 'Will open the relevant settings screen.
	Else
		GPS1.Start(0, 0) 'Listen to GPS with no filters.
	End If
End Sub

Sub GPS_LocationChanged (Location1 As Location)
'	lblLat.Text =Location1.ConvertToMinutes(Location1.Latitude)
'	lblLon.Text =Location1.ConvertToMinutes(Location1.Longitude)
	lblLat.Text =Location1.Latitude
	lblLon.Text =Location1.Longitude
	
	lblAcc.Text =Location1.Accuracy
	
	If lblAcc.Text<>"" Then
		gpslat=lblLat.Text
		gpslon=lblLon.Text
		gpsflag=1
		GPS1.Stop
'		Activity.Finish
		StartActivity(Main)
	End If
	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	GPS1.Stop
End Sub

Sub GPS_UserEnabled (Enabled As Boolean)
	ToastMessageShow("GPS eingeschaltet = " & Enabled, True)
End Sub